AxisMuleSession (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.AxisMuleSession class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class AxisMuleSession

    java.lang.Object
      org.mule.transport.soap.axis.extensions.AxisMuleSession

All Implemented Interfaces:
  org.apache.axis.session.Session

    public class AxisMuleSession

extends Object
implements org.apache.axis.session.Session

Provides an adapter to a DefaultMuleSession so that Axis can write to the session

Constructor Summary
`AxisMuleSession(MuleSession session)`

Method Summary
`Object` | `get(String string)`
`Enumeration` | `getKeys()`
`Object` | `getLockObject()`
`int` | `getTimeout()`
`void` | `invalidate()`
`void` | `remove(String string)`
`void` | `set(String string, Object object)`
`void` | `setTimeout(int i)`
`void` | `touch()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisMuleSession

    public AxisMuleSession(MuleSession session)

Method Detail

### get

    public Object get(String string)

  Specified by:
    `get` in interface `org.apache.axis.session.Session`

### set

    public void set(String string,
                    Object object)

  Specified by:
    `set` in interface `org.apache.axis.session.Session`

### remove

    public void remove(String string)

  Specified by:
    `remove` in interface `org.apache.axis.session.Session`

### getKeys

    public Enumeration getKeys()

  Specified by:
    `getKeys` in interface `org.apache.axis.session.Session`

### setTimeout

    public void setTimeout(int i)

  Specified by:
    `setTimeout` in interface `org.apache.axis.session.Session`

### getTimeout

    public int getTimeout()

  Specified by:
    `getTimeout` in interface `org.apache.axis.session.Session`

### touch

    public void touch()

  Specified by:
    `touch` in interface `org.apache.axis.session.Session`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `org.apache.axis.session.Session`

### getLockObject

    public Object getLockObject()

  Specified by:
    `getLockObject` in interface `org.apache.axis.session.Session`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.